/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

if (typeof window.isedora === 'undefined') {

  // Replace Common Dialogs

  window.alert2   = window.alert;
  window.confirm2 = window.confirm;
  window.prompt2  = window.prompt;

  window.alert = function(message) {
    isedora('alert', message);
  };

  window.confirm = function(message) {
    return isedora('confirm', message);
  };

  window.prompt = function(message, defval) {
    return isedora('prompt', message, defval);
  };

  // Host Interface

  window.isedora = function(cmd) {

    'use strict';

    var cptext = 'Text';

    var cpdata = clipboardData.getData(cptext);

    clipboardData.clearData(cptext);

    var curl = 'isedora://' + cmd;

    var alen = arguments.length;

    if (alen > 1) {
      var ary = [];
      for (var i = 1; i < alen; i++) {
        ary.push(arguments[i]);
      }
      try {
        var json = JSON.stringify(ary);
        clipboardData.setData(cptext, json);
      }
      catch (e) {
        alert2('Error JSON.stringify() command "' + cmd + '" arguments: ' + e.toString());
        return undefined;
      }
    }

    location.href = curl;

    var res = clipboardData.getData(cptext);

    clipboardData.clearData(cptext);

    if (typeof res === 'string' && res.length > 0) {
      try {
        res = JSON.parse(res);
      }
      catch (e) {
        alert2('Error JSON.parse() command "' + cmd + '":\n' + res);
        res = undefined;
      }
    }
    else {
      res = undefined;
    }
    if (typeof cpdata === 'string') {
      clipboardData.setData(cptext, cpdata);
    }
    return res;
  };

  window.console = {
    log: function(msg) {
      isedora('log', msg);
    },
    info: function(msg) {
      isedora('log', msg);
    },
    error: function(msg) {
      isedora('log', msg);
    },
    warn: function(msg) {
      isedora('log', msg);
    }
  };

  document.onkeydown = function() {
    var e = window.event;
//    console.log("Keydown: " + e.keyCode + " ctrl: " + e.ctrlKey +  " alt: " + e.altKey);
    if (e.ctrlKey && !e.altKey) {
      switch (e.keyCode) {
        case 82: // r
          location.reload(true);
          return false;
        case 83: // s
          isedora('start');
          return false;
      }
    }
    return true;
  };

  window.onerror = function(msg, url, line, col, error) {
    var extra = !col ? '' : '\ncolumn: ' + col;
    extra += !error ? '' : '\nerror: ' + error;
    alert2("Error: " + msg + "\nurl: " + url + "\nline: " + line + extra);
    return true;
  };

}

