/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

var CHR_KEYS = [
  "UTF-8",
//  "UTF-16",
//  "UTF-16BE",
//  "UTF-16LE",
  "GB18030",
  "ISO-8859-15",
  "Windows-1252",
  "ISO-8859-2",
  "Windows-1250",
  "ISO-8859-3",
  "ISO-8859-10",
  "Windows-1251",
  "KOI8-R",
  "KOI8-U",
  "ISO-8859-6",
  "Windows-1256",
  "ISO-8859-7",
  "Windows-1253",
  "ISO-8859-8",
  "Windows-1255",
  "ISO-8859-9",
  "Windows-1254",
  "ISO-8859-11",
  "Windows-874",
  "ISO-8859-13",
  "Windows-1257",
  "ISO-8859-14",
  "ISO-8859-16",
  "ISO-2022-CN-EXT",
  "EUC-CN",
  "ISO-2022-JP-2",
  "EUC-JP",
  "Shift_JIS",
  "CP949",
  "ISO-2022-KR",
  "Big5",
  "ISO-2022-TW",
  "Big5-HKSCS",
  "VISCII",
  "Windows-1258"
];

var CHR_NAMES = [

  "Universal (UTF-8)",
//  "Universal (UTF-16)",
//  "Universal (big endian UTF-16)",
//  "Universal (little endian UTF-16)",

  "Universal, Chinese (GB18030)",

  "Western European (Latin-9)",
  "Western European (Windows-1252)",

  "Eastern European (Latin-2)",
  "Eastern European (Windows-1250)",

  "Esperanto (Latin-3)",

  "Nordic (Latin-6)",

  "Cyrillic (Windows-1251)",
  "Russian (KOI8-R)",
  "Ukrainian (KOI8-U)",

  "Arabic (ISO 8859-6)",
  "Arabic (Windows-1256)",

  "Greek (ISO 8859-7)",
  "Greek (Windows-1253)",

  "Hebrew (ISO 8859-8)",
  "Hebrew (Windows-1255)",

  "Turkish (ISO 8859-9)",
  "Turkish (Windows-1254)",
  "Thai (TIS 620-2533/ISO 8859-11)",
  "Thai (Windows-874)",

  "Baltic (Latin-7)",
  "Baltic (Windows-1257)",
  "Celtic (Latin-8)",
  "South-Eastern European (Latin-10)",

  "Simplified Chinese (ISO-2022-CN-EXT)",
  "Simplified Chinese Unix (EUC-CN)",
  "Japanese (7-bits JIS/ISO-2022-JP-2)",
  "Japanese Unix (EUC-JP)",
  "Japanese (Shift JIS)",
  "Korean (EUC-KR/CP949)",
  "Korean (ISO-2022-KR)",
  "Traditional Chinese (Big5)",
  "Traditional Chinese Unix (EUC-TW)",
  "Hong-Kong Supplementary (HKSCS)",

  "Vietnamese (VISCII)",
  "Vietnamese (Windows-1258)"
];

var ISO_LANGS = [
  {code:"ab",name:"Abkhaz",native:"аҧсуа"},
  {code:"aa",name:"Afar",native:"Afaraf"},
  {code:"af",name:"Afrikaans",native:"Afrikaans"},
  {code:"ak",name:"Akan",native:"Akan"},
  {code:"sq",name:"Albanian",native:"Shqip"},
  {code:"am",name:"Amharic",native:"አማርኛ"},
  {code:"ar",name:"Arabic",native:"العربية"},
  {code:"an",name:"Aragonese",native:"Aragonés"},
  {code:"hy",name:"Armenian",native:"Հայերեն"},
  {code:"as",name:"Assamese",native:"অসমীয়া"},
  {code:"av",name:"Avaric",native:"авар мацӀ, магӀарул мацӀ"},
  {code:"ae",name:"Avestan",native:"avesta"},
  {code:"ay",name:"Aymara",native:"aymar aru"},
  {code:"az",name:"Azerbaijani",native:"azərbaycan dili"},
  {code:"bm",name:"Bambara",native:"bamanankan"},
  {code:"ba",name:"Bashkir",native:"башҡорт теле"},
  {code:"eu",name:"Basque",native:"euskara, euskera"},
  {code:"be",name:"Belarusian",native:"Беларуская"},
  {code:"bn",name:"Bengali",native:"বাংলা"},
  {code:"bh",name:"Bihari",native:"भोजपुरी"},
  {code:"bi",name:"Bislama",native:"Bislama"},
  {code:"bs",name:"Bosnian",native:"bosanski jezik"},
  {code:"br",name:"Breton",native:"brezhoneg"},
  {code:"bg",name:"Bulgarian",native:"български език"},
  {code:"my",name:"Burmese",native:"ဗမာစာ"},
  {code:"ca",name:"Catalan",native:"Català"},
  {code:"ch",name:"Chamorro",native:"Chamoru"},
  {code:"ce",name:"Chechen",native:"нохчийн мотт"},
  {code:"ny",name:"Chichewa",native:"chiCheŵa, chinyanja"},
  {code:"zh",name:"Chinese",native:"中文 (Zhōngwén), 汉语, 漢語"},
  {code:"cv",name:"Chuvash",native:"чӑваш чӗлхи"},
  {code:"kw",name:"Cornish",native:"Kernewek"},
  {code:"co",name:"Corsican",native:"corsu, lingua corsa"},
  {code:"cr",name:"Cree",native:"ᓀᐦᐃᔭᐍᐏᐣ"},
  {code:"hr",name:"Croatian",native:"hrvatski"},
  {code:"cs",name:"Czech",native:"česky, čeština"},
  {code:"da",name:"Danish",native:"dansk"},
  {code:"dv",name:"Divehi;",native:"ދިވެހި"},
  {code:"nl",name:"Dutch",native:"Nederlands, Vlaams"},
  {code:"en",name:"English",native:"English"},
  {code:"eo",name:"Esperanto",native:"Esperanto"},
  {code:"et",name:"Estonian",native:"eesti, eesti keel"},
  {code:"ee",name:"Ewe",native:"Eʋegbe"},
  {code:"fo",name:"Faroese",native:"føroyskt"},
  {code:"fj",name:"Fijian",native:"vosa Vakaviti"},
  {code:"fi",name:"Finnish",native:"suomi, suomen kieli"},
  {code:"fr",name:"French",native:"français, langue française"},
  {code:"ff",name:"Fula",native:"Fulfulde, Pulaar, Pular"},
  {code:"gl",name:"Galician",native:"Galego"},
  {code:"ka",name:"Georgian",native:"ქართული"},
  {code:"de",name:"German",native:"Deutsch"},
  {code:"el",name:"Greek, Modern",native:"Ελληνικά"},
  {code:"gn",name:"Guaraní",native:"Avañeẽ"},
  {code:"gu",name:"Gujarati",native:"ગુજરાતી"},
  {code:"ht",name:"Haitian",native:"Kreyòl ayisyen"},
  {code:"ha",name:"Hausa",native:"Hausa, هَوُسَ"},
  {code:"he",name:"Hebrew (modern)",native:"עברית"},
  {code:"hz",name:"Herero",native:"Otjiherero"},
  {code:"hi",name:"Hindi",native:"हिन्दी, हिंदी"},
  {code:"ho",name:"Hiri Motu",native:"Hiri Motu"},
  {code:"hu",name:"Hungarian",native:"Magyar"},
  {code:"ia",name:"Interlingua",native:"Interlingua"},
  {code:"id",name:"Indonesian",native:"Bahasa Indonesia"},
  {code:"ie",name:"Interlingue",native:"Originally called Occidental; then Interlingue after WWII"},
  {code:"ga",name:"Irish",native:"Gaeilge"},
  {code:"ig",name:"Igbo",native:"Asụsụ Igbo"},
  {code:"ik",name:"Inupiaq",native:"Iñupiaq, Iñupiatun"},
  {code:"io",name:"Ido",native:"Ido"},
  {code:"is",name:"Icelandic",native:"Íslenska"},
  {code:"it",name:"Italian",native:"Italiano"},
  {code:"iu",name:"Inuktitut",native:"ᐃᓄᒃᑎᑐᑦ"},
  {code:"ja",name:"Japanese",native:"日本語 (にほんご／にっぽんご)"},
  {code:"jv",name:"Javanese",native:"basa Jawa"},
  {code:"kl",name:"Kalaallisut",native:"kalaallisut, kalaallit oqaasii"},
  {code:"kn",name:"Kannada",native:"ಕನ್ನಡ"},
  {code:"kr",name:"Kanuri",native:"Kanuri"},
  {code:"ks",name:"Kashmiri",native:"कश्मीरी, كشميري‎"},
  {code:"kk",name:"Kazakh",native:"Қазақ тілі"},
  {code:"km",name:"Khmer",native:"ភាសាខ្មែរ"},
  {code:"ki",name:"Kikuyu",native:"Gĩkũyũ"},
  {code:"rw",name:"Kinyarwanda",native:"Ikinyarwanda"},
  {code:"ky",name:"Kirghiz, Kyrgyz",native:"кыргыз тили"},
  {code:"kv",name:"Komi",native:"коми кыв"},
  {code:"kg",name:"Kongo",native:"KiKongo"},
  {code:"ko",name:"Korean",native:"한국어 (韓國語), 조선말 (朝鮮語)"},
  {code:"ku",name:"Kurdish",native:"Kurdî, كوردی‎"},
  {code:"kj",name:"Kwanyama",native:"Kuanyama"},
  {code:"la",name:"Latin",native:"latine, lingua latina"},
  {code:"lb",name:"Luxembourgish",native:"Lëtzebuergesch"},
  {code:"lg",name:"Luganda",native:"Luganda"},
  {code:"li",name:"Limburgish",native:"Limburgs"},
  {code:"ln",name:"Lingala",native:"Lingála"},
  {code:"lo",name:"Lao",native:"ພາສາລາວ"},
  {code:"lt",name:"Lithuanian",native:"lietuvių kalba"},
  {code:"lu",name:"Luba-Katanga",native:""},
  {code:"lv",name:"Latvian",native:"latviešu valoda"},
  {code:"gv",name:"Manx",native:"Gaelg, Gailck"},
  {code:"mk",name:"Macedonian",native:"македонски јазик"},
  {code:"mg",name:"Malagasy",native:"Malagasy fiteny"},
  {code:"ms",name:"Malay",native:"bahasa Melayu, بهاس ملايو‎"},
  {code:"ml",name:"Malayalam",native:"മലയാളം"},
  {code:"mt",name:"Maltese",native:"Malti"},
  {code:"mi",name:"Māori",native:"te reo Māori"},
  {code:"mr",name:"Marathi",native:"मराठी"},
  {code:"mh",name:"Marshallese",native:"Kajin M̧ajeļ"},
  {code:"mn",name:"Mongolian",native:"монгол"},
  {code:"na",name:"Nauru",native:"Ekakairũ Naoero"},
  {code:"nv",name:"Navajo",native:"Diné bizaad, Dinékʼehǰí"},
  {code:"nb",name:"Norwegian Bokmål",native:"Norsk bokmål"},
  {code:"nd",name:"North Ndebele",native:"isiNdebele"},
  {code:"ne",name:"Nepali",native:"नेपाली"},
  {code:"ng",name:"Ndonga",native:"Owambo"},
  {code:"nn",name:"Norwegian Nynorsk",native:"Norsk nynorsk"},
  {code:"no",name:"Norwegian",native:"Norsk"},
  {code:"ii",name:"Nuosu",native:"ꆈꌠ꒿ Nuosuhxop"},
  {code:"nr",name:"South Ndebele",native:"isiNdebele"},
  {code:"oc",name:"Occitan",native:"Occitan"},
  {code:"oj",name:"Ojibwe, Ojibwa",native:"ᐊᓂᔑᓈᐯᒧᐎᓐ"},
  {code:"cu",name:"Old Church Slavonic",native:"ѩзыкъ словѣньскъ"},
  {code:"om",name:"Oromo",native:"Afaan Oromoo"},
  {code:"or",name:"Oriya",native:"ଓଡ଼ିଆ"},
  {code:"os",name:"Ossetian",native:"ирон æвзаг"},
  {code:"pa",name:"Panjabi, Punjabi",native:"ਪੰਜਾਬੀ, پنجابی‎"},
  {code:"pi",name:"Pāli",native:"पाऴि"},
  {code:"fa",name:"Persian",native:"فارسی"},
  {code:"pl",name:"Polish",native:"polski"},
  {code:"ps",name:"Pashto, Pushto",native:"پښتو"},
  {code:"pt",name:"Portuguese",native:"Português"},
  {code:"qu",name:"Quechua",native:"Runa Simi, Kichwa"},
  {code:"rm",name:"Romansh",native:"rumantsch grischun"},
  {code:"rn",name:"Kirundi",native:"kiRundi"},
  {code:"ro",name:"Romanian",native:"română"},
  {code:"ru",name:"Russian",native:"русский язык"},
  {code:"sa",name:"Sanskrit (Saṁskṛta)",native:"संस्कृतम्"},
  {code:"sc",name:"Sardinian",native:"sardu"},
  {code:"sd",name:"Sindhi",native:"सिन्धी, سنڌي، سندھی‎"},
  {code:"se",name:"Northern Sami",native:"Davvisámegiella"},
  {code:"sm",name:"Samoan",native:"gagana faa Samoa"},
  {code:"sg",name:"Sango",native:"yângâ tî sängö"},
  {code:"sr",name:"Serbian",native:"српски језик"},
  {code:"gd",name:"Scottish Gaelic",native:"Gàidhlig"},
  {code:"sn",name:"Shona",native:"chiShona"},
  {code:"si",name:"Sinhala, Sinhalese",native:"සිංහල"},
  {code:"sk",name:"Slovak",native:"slovenčina"},
  {code:"sl",name:"Slovene",native:"slovenščina"},
  {code:"so",name:"Somali",native:"Soomaaliga, af Soomaali"},
  {code:"st",name:"Southern Sotho",native:"Sesotho"},
  {code:"es",name:"Spanish",native:"español, castellano"},
  {code:"su",name:"Sundanese",native:"Basa Sunda"},
  {code:"sw",name:"Swahili",native:"Kiswahili"},
  {code:"ss",name:"Swati",native:"SiSwati"},
  {code:"sv",name:"Swedish",native:"svenska"},
  {code:"ta",name:"Tamil",native:"தமிழ்"},
  {code:"te",name:"Telugu",native:"తెలుగు"},
  {code:"tg",name:"Tajik",native:"тоҷикӣ, toğikī, تاجیکی‎"},
  {code:"th",name:"Thai",native:"ไทย"},
  {code:"ti",name:"Tigrinya",native:"ትግርኛ"},
  {code:"bo",name:"Tibetan",native:"བོད་ཡིག"},
  {code:"tk",name:"Turkmen",native:"Türkmen, Түркмен"},
  {code:"tl",name:"Tagalog",native:"Wikang Tagalog, ᜏᜒᜃᜅ᜔ ᜆᜄᜎᜓᜄ᜔"},
  {code:"tn",name:"Tswana",native:"Setswana"},
  {code:"to",name:"Tonga",native:"faka Tonga"},
  {code:"tr",name:"Turkish",native:"Türkçe"},
  {code:"ts",name:"Tsonga",native:"Xitsonga"},
  {code:"tt",name:"Tatar",native:"татарча, tatarça, تاتارچا‎"},
  {code:"tw",name:"Twi",native:"Twi"},
  {code:"ty",name:"Tahitian",native:"Reo Tahiti"},
  {code:"ug",name:"Uighur, Uyghur",native:"Uyƣurqə, ئۇيغۇرچە‎"},
  {code:"uk",name:"Ukrainian",native:"українська"},
  {code:"ur",name:"Urdu",native:"اردو"},
  {code:"uz",name:"Uzbek",native:"zbek, Ўзбек, أۇزبېك‎"},
  {code:"ve",name:"Venda",native:"Tshivenḓa"},
  {code:"vi",name:"Vietnamese",native:"Tiếng Việt"},
  {code:"vo",name:"Volapük",native:"Volapük"},
  {code:"wa",name:"Walloon",native:"Walon"},
  {code:"cy",name:"Welsh",native:"Cymraeg"},
  {code:"wo",name:"Wolof",native:"Wollof"},
  {code:"fy",name:"Western Frisian",native:"Frysk"},
  {code:"xh",name:"Xhosa",native:"isiXhosa"},
  {code:"yi",name:"Yiddish",native:"ייִדיש"},
  {code:"yo",name:"Yoruba",native:"Yorùbá"},
  {code:"za",name:"Zhuang, Chuang",native:"Saɯ cueŋƅ, Saw cuengh"}
];

//-----------------------------------------------------------------------------

function isoCharsetSelect(selectID, defCharset) {

  var sel = $('#' + selectID);

  var len = CHR_KEYS.length;

  for (var i = 0; i < len; i++) {
    var opt = $('<option></option>');
    opt.attr('value', CHR_KEYS[i]);
    opt.text(CHR_NAMES[i]);
    sel.append(opt);
  }

  if (defCharset) {
    sel.val(defCharset);
  }

}

//-----------------------------------------------------------------------------

function isoLangSelect(selectID, defLang) {

  var sel = $('#' + selectID);

  var len = ISO_LANGS.length;

  for (var i = 0; i < len; i++) {
    var iso = ISO_LANGS[i];
    var opt = $('<option></option>');
    opt.attr('value', iso.code);
    opt.text(iso.name);
    sel.append(opt);
  }

  if (defLang) {
    sel.val(defLang);
  }

}