/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

'use strict';

var npath = require('path');
var env = require('../env');
var log = require('../log');

var SND_FILE_OPT  = { maxAge: 1000, etag: false };

function Icon(path, mime, ext, sizes) {

  var self = this;

  self.enumIcons = function(url) {
    var ary = [];
    for (var i = 0; i < sizes.length; i++) {
      var sz = sizes[i];
      ary.push({
        icon: {
          mimetype: mime,
          width: sz,
          height: sz,
          depth: 24,
          url: url + '/' + sz + ext
        }
      });
    }
    return ary;
  };

  self.serveIcon = function(req, name, res) {
    if (!name) {
      res.sendStatus(404);
      return;
    }
    res.sendFile(npath.join(path, name), SND_FILE_OPT, function(err) {
      if (err && !env.isAborted(err) && !res.headersSent) {
        res.sendStatus(404);
      }
    });
  };

}

exports.Icon = Icon;