/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

// UPnP Constants

'use strict';

exports.HOST = '239.255.255.250';
exports.PORT = 1900;
exports.ROOT_DEVICE = 'upnp:rootdevice';
exports.DMS1 = 'urn:schemas-upnp-org:device:MediaServer:1';
exports.EOL  = '\r\n';

exports.DEVICE_TYPES = {
  'urn:schemas-upnp-org:device:InternetGatewayDevice:1': 'Internet Gateway v1',
  'urn:schemas-upnp-org:device:MediaServer:1': 'Media Server v1',
  'urn:schemas-upnp-org:device:Printer:1': 'Printer v1'
};

// UPnP Classes

exports.IMAGE_ITEM = 'object.item.imageItem';
exports.IMAGE_ITEM_PHOTO = 'object.item.imageItem.photo';

exports.AUDIO_ITEM = 'object.item.audioItem';
exports.AUDIO_ITEM_TRACK = 'object.item.audioItem.musicTrack';
exports.AUDIO_ITEM_BROADCAST = 'object.item.audioItem.audioBroadcast';
exports.AUDIO_ITEM_AUDIOBOOK = 'object.item.audioItem.audioBook';

exports.VIDEO_ITEM = 'object.item.videoItem';
exports.VIDEO_ITEM_MOVIE = 'object.item.videoItem.movie';
exports.VIDEO_ITEM_BROADCAST = 'object.item.videoItem.videoBroadcast';
exports.VIDEO_ITEM_CLIP = 'object.item.videoItem.musicVideoClip';

exports.CONTAINER = 'object.container';
exports.ALBUM_CONTAINER = 'object.container.album';
exports.MUSIC_ALBUM_CONTAINER = 'object.container.album.musicAlbum';
exports.PHOTO_ALBUM_CONTAINER = 'object.container.album.photoAlbum';
exports.GENRE_CONTAINER = 'object.container.genre';
exports.MUSIC_GENRE_CONTAINER = 'object.container.genre.musicGenre';
exports.MOVIE_GENRE_CONTAINER = 'object.container.genre.movieGenre';
exports.PLAYLIST_CONTAINER = 'object.container.playlistContainer';
exports.PERSON_CONTAINER = 'object.container.person';
exports.MUSIC_ARTIST_PERSON_CONTAINER = 'object.container.person.musicArtist';

exports.STORAGE_SYSTEM_CONTAINER = 'object.container.storageSystem';
exports.STORAGE_VOLUME_CONTAINER = 'object.container.storageVolume';
exports.STORAGE_FOLDER_CONTAINER = 'object.container.storageFolder';

exports.AV_PHOTO = 'P';
exports.AV_MUSIC = 'M';
exports.AV_VIDEO = 'V';
exports.AV_OTHER = 'O';