/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

var crypto = require('crypto');
var uuid   = require('uuid');

function md5(str) {
  var hmd5 = crypto.createHash('md5');
  hmd5.update(str, 'utf8');
  return hmd5.digest('hex');
}

md5.uuid = function(salt) {

  if (salt === undefined || salt === null) {
    return uuid.v4();
  }

  var hmd5 = crypto.createHash('md5');

  hmd5.update(salt, 'utf8');

  var hbuf = hmd5.digest();

  var hlen = hbuf.length;

  var hary = new Array(hlen);

  for (var i = 0; i < hlen; i++) {
    hary[i] = hbuf[i];
  }

  return uuid.v4({
    random: hary
  });

};

module.exports = md5;